Upload pictures
Tusheng videos/first and last frames need to upload pictures first, and complete the generation through img_id. The path to the image file needs to be passed when generating Supported formats: "png", "webp", "jpeg",…
POST
/openapi/v2/image/uploadBody Parametersmultipart/form-data
image string · binary
Important note: When uploading images, you must use the form-data format that carries the local image file path. Uploading images through URL is not currently supported.
image_url string
Supports url upload. Only upload image or image_url. Only supports the following formats/mime-type: "image/jpeg", "image/jpg", "image/png", "image/webp"
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"image": "",
3"image_url": ""
4}
1curl -X POST "https://api.digislash.com/openapi/v2/image/upload" \
2-H "Authorization: Bearer <API Key>" \
3-F "image=@/path/to/image" \
4-F "image_url="
1▼{
2"ErrCode": 0,
3"ErrMsg": "success",
4▼"RespData": {
5"id": 123456
6}
7}
